@import url(https://fonts.googleapis.com/css?family=Open+Sans:400italic,400,300,600);

body{
	font-family: "Open Sans", Helvetica, Arial, sans-serif;
	font-weight: 300;
	font-size: 14px;
	line-height: 30px;
	color: #000;
	margin: 0;
}

table{
	width: 100%;
	text-align: center;
	border-spacing: 0;
}


table tr:nth-child(even){
	background-color: #ddd;
}

table tr.no_alt:nth-child(even){
	background-color: transparent;
}

table th{
	padding: 10px;
}

table th a{
	color: #000000;
	position: relative;
	text-decoration: none;
}

table th.sorted a{
	text-decoration: underline;
}

table th a.sort::after{
	font-family: "FontAwesome", sans-serif;
	content: "\f0d8";
	position: absolute;
	right: -20px;
	top: -5px;
	color: #999999;
}

table th a.sort::before{
	font-family: "FontAwesome", sans-serif;
	content: "\f0d7";
	position: absolute;
	right: -20px;
	bottom: 0;
	color: #999999;
}

table th.sorted.down a::after{
	color: #000000;
}

table th.sorted.up a::before{
	color: #000000;
}

.error{
	color: red;
}

.runtime-loading-div{
	display: block;
	position: fixed;
	z-index: 10000;
	top: 0;
	left: 0;
	width: 100vw;
	height: 5px;
	border-radius: 2px;
	background: #c4d983;
}

.runtime-loading-bar{
	display: block;
	position: fixed;
	z-index: 10001;
	top: 0;
	left: 0;
	width: 2px;
	height: 5px;
	border-radius: 2px;
	background: #007a62;
}


.toast{
	display: block;
	position: fixed;
	z-index: 10001;
	background: rgba(196, 217, 131, 0.9);
	border-radius: 15px;
	padding: 5px 35px;
	bottom: -50px;
	font-weight: 500;
	left: 50%;
	transform: translateX(-50%);
}

.email{
	max-height: 200px;
}

.toast .toast-text{
}

.hidden{
	display: none;
	visibility: hidden;
}

.toast .info-toast{
	color: #00ff00;
}

.toast .error-toast{
	color: #ff0000;
}

.left{
	text-align: left;
}

thead{
	font-size: 18px;
}

.hidden{
	display: none !important;
	visibility: hidden !important;
}

/* NAVBAR */

.nav{
	background: #B2D9F6;
	color: #000000;
}

.nav li{
	display: inline-block;
	list-style: none;
	cursor: pointer;
}


.nav li a{
	padding: 20px 40px; /* "0" sets top and bottom padding to none */
}


.nav.main li{
	height: 60px; /* should be the same as line-height */
	/*line-height: 60px; */ /* should be the same as height */
}

.nav.pagination li{
	height: 30px; /* should be the same as line-height */
}

.nav.pagination li:first-child{
	margin-left: 40px;
}

.nav.pagination li a{
	padding: 20px 30px;
}

.nav li:hover, .nav li.active{
	background: inherit;
	-webkit-transition: background, color 0.3s ease-in-out;
	-moz-transition: background, color 0.3s ease-in-out;
	transition: background-color, color 0.3s ease-in-out;
}

.nav-link{
	color: inherit !important;
	text-decoration: none;
}

.nav li.unselectable:hover{
	background: inherit;
	cursor: default;
}

/* FILE UPLOAD BTN */

form.fattura-upload{
	width: calc(100% - 8px);
	height: 200px;
	border: 4px dashed #000;
	margin: 10px 0 50px 0;
}

form.fattura-upload p{
	width: 100%;
	height: 100%;
	text-align: center;
	line-height: 170px;
	color: #000;
	font-family: Arial, sans-serif;
}

form.fattura-upload input{
	position: absolute;
	margin: 0;
	padding: 0;
	width: 100%;
	height: 220px;
	outline: none;
	opacity: 0;
}

form.fattura-upload .submit{
	color: #000;
	background: #B2D9F6;
	border: none;
	width: calc(100% + 8px);
	height: 35px;
	margin: -20px 0 0 -4px;
	border-radius: 4px;
	transition: all .2s ease;
	outline: none;
	opacity: 1;
}

form.fattura-upload .submit:hover{
	background: #4d9df6;
}

form.fattura-upload .submit:active{
	border: 0;
}


/* SHOW CLIENT */

.container{
	max-width: 800px;
	width: 100%;
	margin: 0 auto;
	position: relative;
}

#settings-form input[type="text"], #settings-form input[type="number"], #settings-form input[type="date"], #settings-form input[type="email"], #settings-form input[type="tel"], #settings-form input[type="url"], #settings-form textarea, #settings-form select, #settings-form input[type="submit"], #fattura-form input[type="text"], #fattura-form input[type="number"], #fattura-form input[type="date"], #fattura-form input[type="email"], #fattura-form input[type="tel"], #fattura-form input[type="url"], #fattura-form textarea, #fattura-form select, #fattura-form input[type="submit"], #client-form input[type="text"], #client-form input[type="number"], #client-form input[type="date"], #client-form input[type="email"], #client-form input[type="tel"], #client-form input[type="url"], #client-form textarea, #client-form select, #client-form input[type="submit"]{
	font: 400 12px/16px "Open Sans", Helvetica, Arial, sans-serif;
}

#client-form{
	padding: 25px;
}

#client-form h3{
	color: #B2D9F6;
	display: block;
	font-size: 30px;
	font-weight: 400;
}

#client-form h4{
	margin: 5px 0 15px;
	display: block;
	font-size: 13px;
}

fieldset.form-group{
	border: medium none !important;
	margin: 0 0 10px;
	min-width: 100%;
	padding: 0;
	width: 100%;
}


#settings-form input[type="text"], #settings-form input[type="number"], #settings-form input[type="date"], #settings-form input[type="email"], #settings-form input[type="tel"], #settings-form input[type="url"], #settings-form textarea, #settings-form select, #client-form input[type="text"], #client-form input[type="number"], #client-form input[type="date"], #client-form input[type="email"], #client-form input[type="tel"], #client-form input[type="url"], #client-form textarea, #client-form select{
	width: 100%;
	border: 1px solid #CCC;
	margin: 0 0 5px;
	padding: 10px;
}

#settings-form input[type="text"], #settings-form input[type="number"], #settings-form input[type="date"], #settings-form input[type="email"], #settings-form input[type="tel"], #settings-form input[type="url"], #settings-form textarea, #settings-form select, #client-form input[type="text"]:hover, #client-form input[type="number"]:hover, #client-form input[type="date"]:hover, #client-form input[type="email"]:hover, #client-form input[type="tel"]:hover, #client-form input[type="url"]:hover, #client-form textarea:hover, #client-form select:hover{
	-webkit-transition: border-color 0.3s ease-in-out;
	-moz-transition: border-color 0.3s ease-in-out;
	transition: border-color 0.3s ease-in-out;
	border: 1px solid #AAA;
}

#client-form button[type="submit"], #fattura-form button[type="submit"]{
	cursor: pointer;
	width: 100%;
	border: none;
	background: #B2D9F6;
	margin: 0 0 5px;
	padding: 10px;
	font-size: 15px;
}

#client-form button[type="submit"]:hover, #fattura-form button[type="submit"]:hover{
	-webkit-transition: background, color 0.3s ease-in-out;
	-moz-transition: background, color 0.3s ease-in-out;
	transition: background-color, color 0.3s ease-in-out;
}

#client-form button[type="submit"]:active{ box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.5); }

#client-form input:focus, #client-form textarea:focus, #client-form select:focus{
	outline: 0;
	border: 1px solid #999;
}

#fattura-form input[type="text"], #fattura-form input[type="number"], #fattura-form input[type="date"], #fattura-form input[type="email"], #fattura-form input[type="tel"], #fattura-form input[type="url"], #fattura-form textarea, #fattura-form select{
	width: 100%;
	border: 1px solid #CCC;
	margin: 0 0 5px;
	padding: 10px;
}

#fattura-form input[type="text"]:hover, #fattura-form input[type="number"]:hover, #fattura-form input[type="date"]:hover, #fattura-form input[type="email"]:hover, #fattura-form input[type="tel"]:hover, #fattura-form input[type="url"]:hover, #fattura-form textarea:hover, #fattura-form select:hover{
	-webkit-transition: border-color 0.3s ease-in-out;
	-moz-transition: border-color 0.3s ease-in-out;
	transition: border-color 0.3s ease-in-out;
	border: 1px solid #AAA;
}

#fattura-form button[type="submit"], button.save-bank-statement{
	cursor: pointer;
	width: 100%;
	border: none;
	background: #B2D9F6;
	margin: 0 0 5px;
	padding: 10px;
	font-size: 15px;
}

#fattura-form button[type="submit"]:hover, button.save-bank-statement:hover{
	-webkit-transition: background, color 0.3s ease-in-out;
	-moz-transition: background, color 0.3s ease-in-out;
	transition: background-color, color 0.3s ease-in-out;
}

#fattura-form button[type="submit"]:active{ box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.5); }

#fattura-form input:focus, #fattura-form textarea:focus, #fattura-form select:focus{
	outline: 0;
	border: 1px solid #999;
}

#settings-form input[type="file"], #settings-form input[type="text"], #settings-form input[type="number"], #settings-form input[type="date"], #settings-form input[type="email"], #settings-form input[type="tel"], #settings-form input[type="url"], #settings-form textarea, #settings-form select, .remind, .remind-undo, .pay, .pay-undo{
	width: 100%;
	border: 1px solid #CCC;
	margin: 0 0 5px;
	padding: 10px;
}

.fattura-row input[type=date], .fattura-row .add-payment{
	border: 1px solid #CCC;
	margin: 0 0 5px;
	padding: 10px;
}

.remind, .remind-undo, .pay, .pay-undo{
	cursor: pointer;
	border-radius: 5px;
}

#settings-form input[type="color"]{
	width: 100%;
	border: 1px solid #CCC;
	margin: 0 0 5px;
}

#settings-form input[type="file"], #settings-form input[type="text"]:hover, #settings-form input[type="number"]:hover, #settings-form input[type="date"]:hover, #settings-form input[type="email"]:hover, #settings-form input[type="tel"]:hover, #settings-form input[type="url"]:hover, #settings-form textarea:hover, #settings-form select:hover, .remind:hover, .remind-undo:hover, .pay, .pay-undo{
	-webkit-transition: border-color 0.3s ease-in-out;
	-moz-transition: border-color 0.3s ease-in-out;
	transition: border-color 0.3s ease-in-out;
	border: 1px solid #AAA;
}

#settings-form input[type="color"]:hover{
	width: 100%;
	border: 1px solid #CCC;
	margin: 0 0 5px;
}

#settings-form button[type="submit"]{
	cursor: pointer;
	width: 100%;
	border: none;
	background: #B2D9F6;
	margin: 0 0 5px;
	padding: 10px;
	font-size: 15px;
}

#settings-form button[type="submit"]:hover{
	-webkit-transition: background, color 0.3s ease-in-out;
	-moz-transition: background, color 0.3s ease-in-out;
	transition: background-color, color 0.3s ease-in-out;
}

#settings-form button[type="submit"]:active{
	box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.5);
}

#settings-form input:focus, #settings-form textarea:focus, #settings-form select:focus{
	outline: 0;
	border: 1px solid #999;
}

fieldset{
	border: none;
}

.form-group.form-error input, .form-group.form-error textarea{
	border: 1px solid #f13340 !important;
	color: #f13340 !important;
	background: url(/images/form-error.png) 98% 8px no-repeat #fff1f2 !important;
}

.form-group.form-ok input, .form-group.form-ok textarea{
	border: 1px solid #46a74e !important;
	color: #35b33f !important;
	background: url(/images/form-ok.png) 98% 8px no-repeat #ddf9e1 !important;
}

::-webkit-input-placeholder{
	color: #888;
}

:-moz-placeholder{
	color: #888;
}

::-moz-placeholder{
	color: #888;
}

:-ms-input-placeholder{
	color: #888;
}

.last_name{
	min-width: 100px;
	display: inline-block;
	vertical-align: center;
	border: 1px solid #CCC;
	margin: 0 0 5px;
	padding: 10px;
}

.new-button{
	position: absolute;
	top: 60px;
	left: 0;
	font-size: 40px;
	padding: 10px;
}


.new-button i{
	color: #000000 !important;
	box-shadow: 0px 0px 20px black;
	border-radius: 100px;
	padding: -1px;
}

.upload-bank-statement{
	position: absolute;
	top: 60px;
	right: 0;
	left: unset;
	font-size: 24px;
	padding: 10px;
}

.upload-bank-statement i{
	color: #000000 !important;
	box-shadow: 0px 0px 20px black;
	border-radius: 100px;
	padding: 8px;
	float: right;
}

.upload-bank-statement .content{
	background: #fff;
	box-shadow: 0 0 10px #000;
	padding: 5px;
	margin-top: -5px;
	margin-right: -5px;
}

.upload-bank-statement .content form{
	margin-block-end: 0;
}

.footer{
	padding: 30px;
	text-align: center;
	font-size: 12px;
	color: #000000;
}

.fattura-row .download{
	min-width: 80px;
}

.fattura-row .download a i{
	color: #000000;
	border: solid thin #000000;
	border-radius: 100%;
	width: 30px;
	height: 30px;
	font-size: 20px;
	line-height: 30px;
	margin: 2px;
}

.fattura-row.new{
	background-color: rgba(17, 105, 0, 0.3);
	box-shadow: 0 0 3px #000000;
}

.fattura-row .download a:active, .fattura-row .download a{
	text-decoration: none;
	color: #000000;
}

.fattura-row .state, .fattura-row .reminder-level, .fattura-row .fattura-paid{
	display: block;
	text-transform: uppercase;
	padding: 8px;
	border-radius: 5px;
	width: fit-content;
	background: #efefef;
	border: solid 1px #efefef;
	box-shadow: 3px 3px 10px #efefef;
	color: #000000;
	margin-left: auto;
	margin-right: auto;
	font-size: 14px;
}

.fattura-row .reminder-level, .fattura-row .fattura-paid{
	font-size: 12px;
	margin-bottom: 5px;
}

.fattura-row .fattura-paid.no{
	background: #f13340;
	border: solid 1px transparent;
	box-shadow: 3px 3px 10px #f13340;
}

.fattura-row .fattura-paid.pending{
	background: #d79927;
	border: solid 1px transparent;
	box-shadow: 3px 3px 10px #d79927;
}

.fattura-row .fattura-paid.yes{
	background: #35b33f;
	border: solid 1px transparent;
	box-shadow: 3px 3px 10px #35b33f;
}

.fattura-row.received .state, .fattura-row.send .state{
	background: #4d9df6;
	border: #4d9df6;
	box-shadow: 3px 3px 10px #4d9df6;
}

.fattura-row.received .state:hover, .fattura-row.send .state:hover{
	box-shadow: 2px 2px 5px #4d9df6;
	transform: scale(0.98);
}


.fattura-row.declined_sdi .state, .fattura-row.declined .state{
	background: #f13340;
	border: #f13340;
	box-shadow: 3px 3px 10px #f13340;
}

.fattura-row.declined .state:hover, .fattura-row.declined_sdi .state:hover{
	box-shadow: 2px 2px 5px #f13340;
	transform: scale(0.98);
}

.fattura-row.undeliverable .state{
	background: #6b39b8;
	border: #6b39b8;
	box-shadow: 3px 3px 10px #6b39b8;
}

.fattura-row.undeliverable .state:hover{
	box-shadow: 2px 2px 5px #6b39b8;
	transform: scale(0.98);
}

.fattura-row.delivered .state, .fattura-row.saved .state{
	background: #8fd727;
	border: #8fd727;
	box-shadow: 3px 3px 10px #8fd727;
}

.fattura-row.delivered .state:hover, .fattura-row.saved .state:hover{
	box-shadow: 2px 2px 5px #8fd727;
	transform: scale(0.98);
}

.fattura-row.paid .state{
	background: #d79927;
	border: #d79927;
	box-shadow: 3px 3px 10px #d79927;
}

.fattura-row.paid .state:hover{
	box-shadow: 2px 2px 5px #d79927;
	transform: scale(0.98);
}

.fattura-row.finished .state, .fattura-row.finished_undelivered .state, .fattura-row.accepted .state{
	background: #35b33f;
	border: #35b33f;
	box-shadow: 3px 3px 10px #35b33f;
}

.fattura-row.finished .state:hover, .fattura-row.finished_undelivered .state:hover, .fattura-row.accepted .state:hover{
	box-shadow: 2px 2px 5px #35b33f;
	transform: scale(0.98);
}

.fattura-row .reminder-level.level-0, .fattura-row .reminder-level.level--1{
	background: #35b33f;
	border: #35b33f;
	box-shadow: 3px 3px 10px #35b33f;
}

.fattura-row .reminder-level.level-0:hover, .fattura-row .reminder-level.level--1:hover{
	box-shadow: 2px 2px 5px #35b33f;
	transform: scale(0.98);
}

.fattura-row .reminder-level.level-1{
	background: #78b335;
	border: #78b335;
	box-shadow: 3px 3px 10px #78b335;
}

.fattura-row .reminder-level.level-1:hover{
	box-shadow: 2px 2px 5px #57b335;
	transform: scale(0.98);
}

.fattura-row .reminder-level.level-2{
	background: #b3a235;
	border: #b3a235;
	box-shadow: 3px 3px 10px #b3a235;
}

.fattura-row .reminder-level.level-2:hover{
	box-shadow: 2px 2px 5px #b3a235;
	transform: scale(0.98);
}

.fattura-row .reminder-level.level-3{
	background: #b36135;
	border: #b36135;
	box-shadow: 3px 3px 10px #b36135;
}

.fattura-row .reminder-level.level-3:hover{
	box-shadow: 2px 2px 5px #b36135;
	transform: scale(0.98);
}

.fattura-row .reminder-level.level-4{
	background: #be4141;
	border: #be4141;
	box-shadow: 3px 3px 10px #be4141;
}

.fattura-row .reminder-level.level-4:hover{
	box-shadow: 2px 2px 5px #be4141;
	transform: scale(0.98);
}

.btn-row{
	display: flex;
	align-items: center;
	justify-content: center;
}

.clickable{
	cursor: pointer;
}

.collapsable{
	display: none;
	visibility: hidden;
	position: fixed;
	top: 10%;
	left: 10%;
	right: 10%;
	bottom: 10%;
	background: #fff;
	border: solid thin #888;
	box-shadow: 0 0 10px #888;
	z-index: 1000;
	padding: 3%;
	transition: visibility 0.25s ease-in-out;
}

.collapsable .close{
	position: absolute;
	right: 20px;
	top: 20px;
	font-size: 22px;
}

.collapsable.collapsed{
	display: block;
	visibility: visible;

}


td.fattura-state{
	position: relative;
}

td.fattura-state i.fa{
	position: absolute;
	right: -25px;
}

td.fattura-state i.fa.delete-fattura, td.fattura-state i.fa.decline-fattura{
	color: red;
	font-size: 20px;
	cursor: pointer;
	bottom: 10px;
}

td.fattura-state i.fa.send-fattura, td.fattura-state i.fa.accept-fattura{
	color: green;
	font-size: 20px;
	cursor: pointer;
	top: 10px;
}

.fattura-upload-bar{
	width: -webkit-fill-available;
	width: available;
	margin: 5px 0;
	border-radius: 10px;
	position: relative;
	height: 30px;
}

.fattura-progress-bar{
	position: absolute;
	left: 0;
	font-size: 20px;
	top: 0;
	height: 30px;
	border-radius: 10px;
	overflow: visible;
	width: 0;
	padding: 0 5px;
}

.fattura-progress-bar span{
	vertical-align: middle;
}

.fattura-progress-bar button{
	position: absolute;
	height: 30px;
	border-radius: 10px;
	right: 30px;
	cursor: pointer;
	border: none;
	background: #B2D9F6;
	font-size: 15px;
}

.fattura-progress-bar button i{
	margin-left: 5px;
}

.fattura-progress-bar button:hover{
	-webkit-transition: background, color 0.3s ease-in-out;
	-moz-transition: background, color 0.3s ease-in-out;
	transition: background-color, color 0.3s ease-in-out;
}

.fattura-progress-bar button:active{
	box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.5);
}

.fattura-progress-bar button:focus{
	outline: none;
}

.auto-text-indent-target{
	position: absolute;
	margin: 10px;
	font: 400 12px/16px "Open Sans", Helvetica, Arial, sans-serif;
}

.add-article-btn{
	padding: 10px;
	cursor: pointer;
	font-size: 20px;
}

.add-article-btn i{
	color: #000000 !important;
	box-shadow: 0px 0px 20px black;
	border-radius: 100px;
}

.delete-article-btn{
	padding: 0;
	cursor: pointer;
	font-size: 25px;
	display: unset;
	margin-left: 20px;
	vertical-align: middle;
}

.delete-article-btn i{
	color: #000000 !important;
	box-shadow: 0px 0px 20px black;
	border-radius: 100px;
}

.article-total{
	width: 50%;
	border: 1px solid #CCC;
	margin: 0 0 5px;
	padding: 10px;
	font: 400 12px/16px "Open Sans", Helvetica, Arial, sans-serif;
	box-sizing: border-box;
	-webkit-writing-mode: horizontal-tb !important;
	text-rendering: auto;
	color: -internal-light-dark(black, white);
	letter-spacing: normal;
	word-spacing: normal;
	text-transform: none;
	text-indent: 0px;
	text-shadow: none;
	display: inline-block;
	text-align: start;
	appearance: textfield;
	background-color: -internal-light-dark(rgb(255, 255, 255), rgb(59, 59, 59));
	-webkit-rtl-ordering: logical;
	cursor: not-allowed;
	background: #fff;
}

.bank-statement-comparison{
	display: block;
	position: relative;
}

.bank-statement-comparison h2{
	display: block;
	width: calc(33% - 2px);
	width: -webkit-calc(33% - 2px);
	overflow: hidden;
	float: left;
	margin: 0;

}

.bank-statement-comparison ul{
	display: block;
	width: calc(33% - 2px);
	width: -webkit-calc(33% - 2px);
	overflow: hidden;
	list-style: none;
	float: left;
	margin-block-end: 0;
	margin-block-start: 0;
	padding-inline-start: 0;
	font-size: 18px;
}

.bank-statement-comparison ul li{
	min-height: 40px;
	padding: 0 10px;
	display: block;
	border: solid thin #000000;
}

.bank-statement-comparison ul.statements li{
	cursor: pointer;
}

.bank-statement-comparison ul.statements li span.cause{
	display: block;
	position: absolute;
	background: #ffffff;
	left: 10px;
	border: solid thin #000000;
	box-shadow: 0 0 10px #000000;
	padding: 10px;
	z-index: 100;
}

.bank-statement-comparison ul li span.draggable{
	display: block;
	border: solid 1px transparent;
	background: #ffffff;
	cursor: move;
	height: 38px !important;
	overflow: hidden;
	word-wrap: anywhere;
	overflow-wrap: anywhere;
}

.bank-statement-comparison ul li span.drag{
	z-index: 101;
}

form input.error, form select.error{
	border-color: #f13340 !important;
}

form input.valid, form select.valid{
	border-color: #46a74e !important;
}

#error_404{
	text-align: center;
}

#error_404 h1{
	font-size: 25em;
	font-family: fangsong, serif;
	font-variant: oldstyle-nums;
	font-style: italic;
	letter-spacing: .2em;
	margin-block-start: 0.4em;
	color: indianred;
}

#error_404 h2{
	font-family: fangsong, serif;
	font-variant: oldstyle-nums;
	font-size: 3em;
	text-decoration: overline;
}

#error_404 p{
	font-size: 1.5em;
	line-height: 2em;
}

.stats_container{
	display: flex;
	flex-wrap: wrap;
}

.stats_field{
	max-width: 50%;
	width: 50%;
	text-align: center;
}

.pure-menu-horizontal.pure-menu-scrollable{
	padding: 0;
}